Package com.xebialabs.xlrelease.builder

# Class ConfigurationBuilder

java.lang.Object
com.xebialabs.xlrelease.builder.ConfigurationBuilder

All Implemented Interfaces:
  `Serializable`, `scala.Equals`, `scala.Product`

public class ConfigurationBuilder extends Object implements scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationBuilder(Type configType, String id, String title, String folderId, scala.collection.immutable.Map<String,Object> properties, scala.collection.immutable.Map<String,String> variableMapping)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `$lessinit$greater$default$2()`
  `static String`
  `$lessinit$greater$default$3()`
  `static String`
  `$lessinit$greater$default$4()`
  `static scala.collection.immutable.Map<String,Object>`
  `$lessinit$greater$default$5()`
  `static scala.collection.immutable.Map<String,String>`
  `$lessinit$greater$default$6()`
  `static ConfigurationBuilder`
  `apply(Type configType, String id, String title, String folderId, scala.collection.immutable.Map<String,Object> properties, scala.collection.immutable.Map<String,String> variableMapping)`
  `static String`
  `apply$default$2()`
  `static String`
  `apply$default$3()`
  `static String`
  `apply$default$4()`
  `static scala.collection.immutable.Map<String,Object>`
  `apply$default$5()`
  `static scala.collection.immutable.Map<String,String>`
  `apply$default$6()`
  `<T extends Configuration>
  T`
  `build()`
  `boolean`
  `canEqual(Object x$1)`
  `Type`
  `configType()`
  `ConfigurationBuilder`
  `copy(Type configType, String id, String title, String folderId, scala.collection.immutable.Map<String,Object> properties, scala.collection.immutable.Map<String,String> variableMapping)`
  `Type`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `String`
  `copy$default$3()`
  `String`
  `copy$default$4()`
  `scala.collection.immutable.Map<String,Object>`
  `copy$default$5()`
  `scala.collection.immutable.Map<String,String>`
  `copy$default$6()`
  `boolean`
  `equals(Object x$1)`
  `String`
  `folderId()`
  `int`
  `hashCode()`
  `String`
  `id()`
  `static ConfigurationBuilder`
  `newConfiguration(String configType)`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `scala.collection.immutable.Map<String,Object>`
  `properties()`
  `String`
  `title()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple6<Type,String,String,String,scala.collection.immutable.Map<String,Object>,scala.collection.immutable.Map<String,String>>>`
  `unapply(ConfigurationBuilder x$0)`
  `scala.collection.immutable.Map<String,String>`
  `variableMapping()`
  `ConfigurationBuilder`
  `withFolder(Folder folder)`
  `ConfigurationBuilder`
  `withFolderId(String folderId)`
  `ConfigurationBuilder`
  `withId(String id)`
  `ConfigurationBuilder`
  `withProperty(String propertyName, Object propertyValue)`
  `ConfigurationBuilder`
  `withTitle(String title)`
  `ConfigurationBuilder`
  `withVariableMapping(scala.collection.immutable.Map<String,String> map)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### ConfigurationBuilder

    public ConfigurationBuilder(Type configType, String id, String title, String folderId, scala.collection.immutable.Map<String,Object> properties, scala.collection.immutable.Map<String,String> variableMapping)

- ## Method Details

  - ### $lessinit$greater$default$2

    public static String $lessinit$greater$default$2()

  - ### $lessinit$greater$default$3

    public static String $lessinit$greater$default$3()

  - ### $lessinit$greater$default$4

    public static String $lessinit$greater$default$4()

  - ### $lessinit$greater$default$5

    public static scala.collection.immutable.Map<String,Object> $lessinit$greater$default$5()

  - ### $lessinit$greater$default$6

    public static scala.collection.immutable.Map<String,String> $lessinit$greater$default$6()

  - ### newConfiguration

    public static ConfigurationBuilder newConfiguration(String configType)

  - ### apply

    public static ConfigurationBuilder apply(Type configType, String id, String title, String folderId, scala.collection.immutable.Map<String,Object> properties, scala.collection.immutable.Map<String,String> variableMapping)

  - ### apply$default$2

    public static String apply$default$2()

  - ### apply$default$3

    public static String apply$default$3()

  - ### apply$default$4

    public static String apply$default$4()

  - ### apply$default$5

    public static scala.collection.immutable.Map<String,Object> apply$default$5()

  - ### apply$default$6

    public static scala.collection.immutable.Map<String,String> apply$default$6()

  - ### unapply

    public static scala.Option<scala.Tuple6<Type,String,String,String,scala.collection.immutable.Map<String,Object>,scala.collection.immutable.Map<String,String>>> unapply(ConfigurationBuilder x$0)

  - ### configType

    public Type configType()

  - ### id

    public String id()

  - ### title

    public String title()

  - ### folderId

    public String folderId()

  - ### properties

    public scala.collection.immutable.Map<String,Object> properties()

  - ### variableMapping

    public scala.collection.immutable.Map<String,String> variableMapping()

  - ### withId

    public ConfigurationBuilder withId(String id)

  - ### withTitle

    public ConfigurationBuilder withTitle(String title)

  - ### withFolder

    public ConfigurationBuilder withFolder(Folder folder)

  - ### withFolderId

    public ConfigurationBuilder withFolderId(String folderId)

  - ### withProperty

    public ConfigurationBuilder withProperty(String propertyName, Object propertyValue)

  - ### withVariableMapping

    public ConfigurationBuilder withVariableMapping(scala.collection.immutable.Map<String,String> map)

  - ### build

    public <T extends Configuration> T build()

  - ### copy

    public ConfigurationBuilder copy(Type configType, String id, String title, String folderId, scala.collection.immutable.Map<String,Object> properties, scala.collection.immutable.Map<String,String> variableMapping)

  - ### copy$default$1

    public Type copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### copy$default$3

    public String copy$default$3()

  - ### copy$default$4

    public String copy$default$4()

  - ### copy$default$5

    public scala.collection.immutable.Map<String,Object> copy$default$5()

  - ### copy$default$6

    public scala.collection.immutable.Map<String,String> copy$default$6()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`